# Gimp.Scanner

    const Gimp = imports.gi.Gimp;

    let scanner = new Gimp.Scanner(file: Gio.File);

A wrapper around GLib.Scanner with some convenience API.

## Constructors

- Gimp.Scanner.new_file
- Gimp.Scanner.new_stream
- Gimp.Scanner.new_string

## Methods

- Gimp.Scanner.prototype.parse_boolean
- Gimp.Scanner.prototype.parse_color
- Gimp.Scanner.prototype.parse_data
- Gimp.Scanner.prototype.parse_double
- Gimp.Scanner.prototype.parse_identifier
- Gimp.Scanner.prototype.parse_int
- Gimp.Scanner.prototype.parse_int64
- Gimp.Scanner.prototype.parse_matrix2
- Gimp.Scanner.prototype.parse_string
- Gimp.Scanner.prototype.parse_string_no_validate
- Gimp.Scanner.prototype.parse_token
- Gimp.Scanner.prototype.ref
- Gimp.Scanner.prototype.unref